# PropertyEstimatorOptions

class `propertyestimator.client.``PropertyEstimatorOptions`(allowed_calculation_layers=None, allow_protocol_merging=True)

  Represents the options options that can be passed to the property estimation server backend.

  Warning

  - This class is still heavily under development and is subject to rapid changes.

  `allowed_calculation_layers`

    A list of allowed calculation layers. The order of the layers in the list is the order that the calculator will attempt to execute the layers in.

    Type

      list of str or list of class

  `workflow_schemas`

    A dictionary of the WorkflowSchema which will be used to calculate any properties. The dictionary key represents the type of property the schema will calculate. The dictionary will be automatically populated with defaults if no entries are added.

    Type

      dict of str and dict of str and WorkflowSchema

  `workflow_options`

    The set of options which will be used when setting up the default estimation workflows, where the string key here is the property for which the options apply. As an example, the target (relative or absolute) uncertainty of each property may be set using these options.

    If None, a set of defaults will be applied when the properties are sent to a server for estimation. The current set of defaults will ensure that properties are estimated with an uncertainty which is less than or equal to the experimental uncertainty of a property.

    Type

      dict of str and dict of str and WorkflowOptions, optional

  `allow_protocol_merging`

    If true, allows individual identical steps in a property estimation workflow to be merged.

    Type

      bool, default = True

  `__init__`(allowed_calculation_layers=None, allow_protocol_merging=True)

    Constructs a new PropertyEstimatorOptions object.

    Parameters

      - allowed_calculation_layers (list of str or list of class) –

        A list of allowed calculation layers. The order of the layers in the list is the order that the calculator will attempt to execute the layers in.

        If None, all registered calculation layers are set as allowed.

      - allow_protocol_merging (bool , default = True) – If true, allows individual identical steps in a property estimation workflow to be merged.

  Methods

  `__init__`([allowed_calculation_layers, …]) | Constructs a new PropertyEstimatorOptions object.
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any